Announcement

#1 2015-06-13 18:08:20

lord carlos
Member
2015-06-13
5

[resolved] API / ws.php not working.

Hello/Hi/Greetings,

Normaly I upload my pictures with digicam. But it stopped working.
When I manually open the /ws.php I get some php errors:

This page contains the following errors:

error on line 2 at column 1: Extra content at the end of the document
Below is a rendering of the page up to the first error.

It's just blank from there on out.
I downloaded the piwigo zip file again and replaced the ws.php. No change. Also line 2 is the start of a comment.

Piwigo version: 2.7.4
OS: Linux
PHP: 5.6.9-0+deb8u1
MySQL: 5.6.23-1~dotdeb.3
Grafikbibliothek: External ImageMagick 6.8.9-9

Offline

 

#2 2015-06-15 09:11:48

lord carlos
Member
2015-06-13
5

Re: [resolved] API / ws.php not working.

*bump*

Offline

 

#3 2015-06-15 09:24:47

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13574

Re: [resolved] API / ws.php not working.

Hi lord carlos,

Can you give us an URL to your Piwigo?

Offline

 

#4 2015-06-15 09:26:10

lord carlos
Member
2015-06-13
5

Re: [resolved] API / ws.php not working.

-URL removed-

Last edited by lord carlos (2015-06-15 11:03:01)

Offline

 

#5 2015-06-15 09:33:22

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13574

Re: [resolved] API / ws.php not working.

OK, the first thing I see on your Piwigo is a warning:

Warning: mysqli::mysqli(): Headers and client library minor version mismatch. Headers:50542 Library:50623 in /srv/www/pics.linuxlounge.net/include/dblayer/functions_mysqli.inc.php on line 67

For sure, it's a problem for the API.

This is the first time I see this warning. Is is a custom install of MySQL?

Offline

 

#6 2015-06-15 09:34:07

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13574

Re: [resolved] API / ws.php not working.

Offline

 

#7 2015-06-15 11:02:41

lord carlos
Member
2015-06-13
5

Re: [resolved] API / ws.php not working.

Edit:
Ah, installing php5-mywsqlnd removed the warning. And that made the XML valid.
The XML was there before, but was not shown .. or something like that.

The warning is just that, a warning. It's because we got some mysql stuff from dotdeb, but they don't have any up to date php version.

I'm gonna remove my piwigo URL again. Thanks for the help.

Last edited by lord carlos (2015-06-15 11:07:19)

Offline

 

Board footer

Powered by FluxBB

github twitter newsletter Donate Piwigo.org © 2002-2022 · Contact